Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba.sql
Class TableManager.CatalogChecker

    java.lang.Object
      org.makumba.db.makumba.sql.TableManager.CatalogChecker

All Implemented Interfaces:
  TableManager.CheckingStrategy

Enclosing class:
  TableManager

     class TableManager.CatalogChecker

extends Object
implements TableManager.CheckingStrategy

Field Summary
`(package private) Hashtable<String,Object>` | `column`
`(package private) Vector<Hashtable<String,Object>>` | `columns`
`(package private) int` | `i`

Constructor Summary
`TableManager.CatalogChecker(Hashtable<String,Vector<Hashtable<String,Object>>> catalog)`

Method Summary
`boolean` | `checkColumn(String fieldName)`
`String` | `columnName()`
`int` | `columnSize()`
`int` | `columnType()`
`String` | `columnTypeName()`
`boolean` | `hasMoreColumns()`
`boolean` | `shouldCreate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columns

    Vector<Hashtable<String,Object>> columns

### column

    Hashtable<String,Object> column

### i

    int i

Constructor Detail

### TableManager.CatalogChecker

    TableManager.CatalogChecker(Hashtable<String,Vector<Hashtable<String,Object>>> catalog)
                          throws SQLException

Throws:
  `SQLException`

Method Detail

### shouldCreate

    public boolean shouldCreate()

  Specified by:
    `shouldCreate` in interface `TableManager.CheckingStrategy`

### hasMoreColumns

    public boolean hasMoreColumns()
                           throws SQLException

  Specified by:
    `hasMoreColumns` in interface `TableManager.CheckingStrategy`
  Throws:
    `SQLException`

### columnName

    public String columnName()
                      throws SQLException

  Specified by:
    `columnName` in interface `TableManager.CheckingStrategy`
  Throws:
    `SQLException`

### columnType

    public int columnType()
                   throws SQLException

  Specified by:
    `columnType` in interface `TableManager.CheckingStrategy`
  Throws:
    `SQLException`

### columnSize

    public int columnSize()
                   throws SQLException

  Throws:
    `SQLException`

### columnTypeName

    public String columnTypeName()
                          throws SQLException

  Specified by:
    `columnTypeName` in interface `TableManager.CheckingStrategy`
  Throws:
    `SQLException`

### checkColumn

    public boolean checkColumn(String fieldName)
                        throws SQLException

  Specified by:
    `checkColumn` in interface `TableManager.CheckingStrategy`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20